﻿using CommandLine;
using Janus.Core.Enums;
using Janus.Core.Utils;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Janus.Analyzers.Counter
{
    /// <summary>
    /// CLI Arguments model
    /// </summary>
    public class CLIOptions : CLIOptionsAnalyzersBase
    {
        /// <summary>
        /// Property for the output type of the result, this analyzer has to limit its output cappbalities
        /// </summary>
        [Option('t', "outputType",
          Default = EOutputType.Text,
          HelpText = "Type of the output data. Supported types: \"Text\"")]
        public new EOutputType OutputType { get; set; }
    }
}
