﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Janus.Core.Interfaces
{
    /// <summary>
    /// This interface is for the component items used in the model
    /// This will provide the pretty-print functionality
    /// </summary>
    public interface IComponentItem
    {
        /// <summary>
        /// Pretty print of the component in the textual form
        /// </summary>
        /// <param name="indent">Indentation of the text (prefix)</param>
        /// <param name="last">True, for the last element in the list</param>
        /// <param name="edgeInfo">Optional edge information to be shown</param>
        /// <returns>Textual representation of the component pretty printed</returns>
        public string PrintPretty(string indent, bool last, string edgeInfo = "");
    }
}
